<template>
  <v-card :height="fullHeight ? '100%' : 'auto'" class="elevation-10 mb-2 ">
    <v-toolbar class="v-offset" color="secondary">
      <v-toolbar-title>{{ title }}</v-toolbar-title>
      <v-spacer/>
    </v-toolbar>
    <v-card-text class="pt-0" style="height: 90%">
      <slot></slot>
    </v-card-text>
  </v-card>
</template>

<script>
  export default {
    props: {
      title: String,
      fullHeight: {
        type: Boolean,
        default: false
      }
    },
    name: 'BaseCard'
  }
</script>
